<?php

namespace App\Http\Controllers\Accounts;


use App\Classes\Modules\Accounts\ControllersLogic\FetchUserLogic;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class FetchUserController
{

    /**
     * @param Request $request
     * @param FetchUserLogic $logic
     * @return JsonResponse
     */
    public function fetch(Request $request, FetchUserLogic $logic): JsonResponse {
        logger("main logic");
        return $logic->execute($request);
    }

}